/*
 *  linux/include/asm/cooperative_internal.h
 *
 *  Copyright (C) 2004 Dan Aloni
 */

#ifndef __LINUX_ASM_COOPERATIVE_INTERNAL_H__
#define __LINUX_ASM_COOPERATIVE_INTERNAL_H__

#include <linux/config.h>
#include <asm/ptrace.h>

#ifdef CONFIG_COOPERATIVE

extern void co_kernel_breakpoint(struct pt_regs * regs);
extern int co_kernel_debug(struct pt_regs * regs, long error_code, unsigned int condition);

fastcall unsigned int do_IRQ(struct pt_regs *regs);

#else

static inline void co_kernel_breakpoint(struct pt_regs * regs)
{
}

static inline int co_kernel_debug(struct pt_regs * regs, long error_code, unsigned int condition)
{
	return 0;
}

#endif

#endif
