/*
 * LZF support.
 * 
 * Copyright (C) 2003 Marc Lehmann <pcg@goof.com>
 *
 * Originally donated to the Suspend2 project under dual BSD/GPL licence.
 * Moved to /lib by Nigel Cunningham, and modified to make the interface
 * more generic.
 * 
 * The parameters should be pretty obvious. The init and cleanup calls
 * are needed for compression in order to vmallocate and free a hash
 * table.
 *
 * Each buffer is compressed entirely independantly of previous
 * and following calls.
 */

extern int lzf_compress_init(void);

extern unsigned int
lzf_compress (const void *const in_data, unsigned int in_len,
	      void *out_data, unsigned int out_len);

extern void lzf_compress_cleanup(void);

extern unsigned int 
lzf_decompress (const void *const in_data,  unsigned int in_len,
                void *out_data, unsigned int out_len);
